# Uses of Interface
org.springframework.http.codec.CodecConfigurer.MultipartCodecs

Packages that use CodecConfigurer.MultipartCodecs
Package
Description
org.springframework.http.codec
Provides implementations of `Encoder` and `Decoder` for web use.

## Uses of CodecConfigurer.MultipartCodecs in org.springframework.http.codec

Methods in org.springframework.http.codec that return CodecConfigurer.MultipartCodecs
Modifier and Type
Method
Description
`CodecConfigurer.MultipartCodecs`
CodecConfigurer.MultipartCodecs.`encoder(org.springframework.core.codec.Encoder<?> encoder)`
Add a Part `Encoder`, internally wrapped with `EncoderHttpMessageWriter`.
`CodecConfigurer.MultipartCodecs`
CodecConfigurer.DefaultCodecs.`multipartCodecs()`
Configure encoders or writers for use with `MultipartHttpMessageWriter`.
`CodecConfigurer.MultipartCodecs`
CodecConfigurer.MultipartCodecs.`writer(HttpMessageWriter<?> writer)`
Add a Part `HttpMessageWriter`.